Subject: Re: [PATCH v7 net-next 2/5] drivers/net/phy: add the link modes for the 10BASE-T1S Ethernet PHY

From: "Russell King (Oracle)" <[email-masked]>
Date: Sat, 17 Dec 2022 10:32:56 +0000

On Sat, Dec 17, 2022 at 11:12:14AM +0100, Piergiorgio Beruto wrote:
> On Fri, Dec 16, 2022 at 08:48:08PM -0800, Jakub Kicinski wrote:
> > On Sat, 17 Dec 2022 01:48:33 +0100 Piergiorgio Beruto wrote:
> > > +const int phy_basic_t1s_p2mp_features_array[2] = {
> > > +	ETHTOOL_LINK_MODE_TP_BIT,
> > > +	ETHTOOL_LINK_MODE_10baseT1S_P2MP_Half_BIT,
> > > +};
> > > +EXPORT_SYMBOL_GPL(phy_basic_t1s_p2mp_features_array);
> > 
> > Should this be exported? It's not listed in the header.
> In my understanding PHY drivers can be compiled as modules, therefore
> this should be exported? I see other features arrays being exported as
> well. But If I'm overlooking something I'll be happy to change this.

If something wants to make use of it, it needs a prototype in a header
file. An EXPORT_SYMBOL* only makes it visible to modules at run-time,
it doesn't make it build-time visible.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!